Bug 131814 - text install omits hwaddr info for multiple ethernet interfaces
text install omits hwaddr info for multiple ethernet interfaces
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
FC4
: StringChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-05 01:42 EDT by John Reiser
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-15 12:29:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2004-09-05 01:42:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
The text install dialogs do not give the hardware address info when
configuring multiple ethernet interfaces, so the user has no idea
which is which.

Version-Release number of selected component (if applicable):
FC3-re0903.0-i386

How reproducible:
Didn't try

Steps to Reproduce:
1. boot: linux text  from CD-ROM FC3-re0903.0-i386-disc1-ftp on a box
with more than one ethernet interface.
2.
3.
    

Actual Results:   The dialogs "Network Configuration for eth0" etc. do
not tell the hwaddr.

Expected Results:  The dialogs "Network Configuration for eth0" etc.
should give the hwaddr of the interface so that the user can tell
which is which.  Ideally, the PCI device name (such as "Intel
Corp.|82559 InBusiness 10/100" which kudzu puts into
/etc/sysconfig/hwconf) should be given, too.

Additional info:
Comment 1 John Reiser 2004-09-06 11:03:26 EDT
anaconda-10.0.2-0.20040901235037.1.i386.rpm
is the version in FC3-re0903.0-i386-disc3-rtp.iso/Fedora/RPMS .
Comment 2 Jeremy Katz 2004-09-07 00:26:30 EDT
We should show the description (ie, "Intel Corp.|82559 InBusiness
10/100") if it can be determined.  Unfortunately, it can't always.  We
don't do the hwaddr right now, but making that change would break the
string freeze.  Marking for FC4.
Comment 3 Rahul Sundaram 2004-09-08 09:30:23 EDT
hi

Cant you break the string freeze for these kind of quick fixes if
possible?
Comment 4 Jeremy Katz 2004-11-07 13:19:26 EST
Added in CVS

Note You need to log in before you can comment on or make changes to this bug.